// PlaceLineToolUI.cpp : implementation file
//

#include "stdafx.h"

#include "placelinetoolmfc.h"
#include "PlaceLineToolUI.h"
#include <msdialog.fdf>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// PlaceLineToolUI dialog
extern "C"
    {
    /*----------------------------------------------*/
    // Entry points for the MDL application
    /*----------------------------------------------*/
    __declspec(dllexport) PlaceLineToolUI* PlaceLineToolUI_create( void )
	{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	PlaceLineToolUI *pDlg;

	pDlg = new PlaceLineToolUI("PlaceLineUI");
	pDlg->Create();

	return pDlg;
	}
    }

PlaceLineToolUI::PlaceLineToolUI(char* pTitle, UINT nID /*=NULL*/)
	: CBFramedModelessDialog(nID, pTitle){
	EnableAutomation();

	//{{AFX_DATA_INIT(PlaceLineToolUI)
	m_Color = 0;
	m_Weight = 0;
	m_Style = 0;
	//}}AFX_DATA_INIT
}

__declspec(dllexport) void PlaceLineToolUI::MyClose ()
    {
    OnCancel();
    }



void PlaceLineToolUI::OnFinalRelease()
{
	// When the last reference for an automation object is released
	// OnFinalRelease is called.  The base class will automatically
	// deletes the object.  Add additional cleanup required for your
	// object before calling the base class.

	CDialog::OnFinalRelease();
}

void PlaceLineToolUI::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(PlaceLineToolUI)
	DDX_Text(pDX, IDC_EDIT1, m_Color);
	DDX_Text(pDX, IDC_EDIT2, m_Weight);
	DDX_Text(pDX, IDC_EDIT3, m_Style);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(PlaceLineToolUI, CDialog)
	//{{AFX_MSG_MAP(PlaceLineToolUI)
	ON_EN_CHANGE(IDC_EDIT1, OnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT2, OnChangeEdit2)
	ON_EN_CHANGE(IDC_EDIT3, OnChangeEdit3)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(PlaceLineToolUI, CDialog)
	//{{AFX_DISPATCH_MAP(PlaceLineToolUI)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_DISPATCH_MAP
END_DISPATCH_MAP()

// Note: we add support for IID_IPlaceLineToolUI to support typesafe binding
//  from VBA.  This IID must match the GUID that is attached to the 
//  dispinterface in the .ODL file.

// {4448F2AA-A3C2-415A-86F2-7EF5C1B5EE14}
static const IID IID_IPlaceLineToolUI =
{ 0x4448f2aa, 0xa3c2, 0x415a, { 0x86, 0xf2, 0x7e, 0xf5, 0xc1, 0xb5, 0xee, 0x14 } };

BEGIN_INTERFACE_MAP(PlaceLineToolUI, CDialog)
	INTERFACE_PART(PlaceLineToolUI, IID_IPlaceLineToolUI, Dispatch)
END_INTERFACE_MAP()

/////////////////////////////////////////////////////////////////////////////
// PlaceLineToolUI message handlers

void PlaceLineToolUI::OnChangeEdit1() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	UpdateData(true);

	
}

void PlaceLineToolUI::OnChangeEdit2() 
    {
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	UpdateData(true);
	
}

void PlaceLineToolUI::OnChangeEdit3() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	UpdateData(true);
	
}
//Handle the OnCancel message.  According to the docs all non modal dialos should handle this message
void PlaceLineToolUI::OnCancel ()
    {
    //mdlDialog_closeCommandQueue( m_pParent );

    CBFramedModelessDialog::Close ();
    }
//Gets the Color value from the dialog
__declspec(dllexport) unsigned long PlaceLineToolUI::getColor()
    {
    return this->m_Color;
    }
//Gets the weight value from the dialog
__declspec(dllexport) unsigned long PlaceLineToolUI::getWeight ()
    {
    return this->m_Weight;
    }
//Gets the Style value from the dialog item
__declspec(dllexport) long	PlaceLineToolUI::getStyle ()
    {
    return m_Style;
    }